# Recupera i dettagli dell'account dell'utente corrente

Questo endpoint ti consente di recuperare i dettagli dell'account dell'utente attualmente autenticato.

## Endpoint

```
GET /api/v1/account/
```

## Autenticazione

Questo endpoint richiede autenticazione utilizzando un token JWT.

## Richiesta

Nessun parametro di richiesta è necessario.

## Risposta

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "Nome Utente"
}
```

## Profilo Utente (Informazioni Estese)

Per informazioni più dettagliate sul profilo utente, puoi utilizzare:

```
GET /api/v1/me/
```

### Risposta Estesa

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "Nome Utente",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "Azienda",
  "website": "https://example.com",
  "bio": "Bio dell'utente",
  "team": [
    {
      "id": "team_id", 
      "name": "Nome del Team", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## Risposte di Errore

| Codice di Stato | Descrizione                                                           |
| --------------- | --------------------------------------------------------------------- |
| 401             | Non autorizzato - Credenziali di autenticazione non valide o mancanti |
| 403             | Vietato - L'utente non ha il permesso di accedere a questa risorsa    |
| 500             | Errore Interno del Server - Qualcosa è andato storto sul server       |

## Esempio di Utilizzo

### Utilizzando cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### Utilizzando JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Utilizzando Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/it/risorse-per-sviluppatori/api-docs/retrieve-current-user-account-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
